Subject: [alsa-devel] [PATCH 3/3] ASoC: bcm2835: Register also as PCM device

From: [email-masked] (Lars-Peter Clausen)
Date: Tue, 26 Apr 2016 21:09:08 +0200

On 04/26/2016 08:05 PM, Matthias Reichl wrote:
[...]
> 
> Ok, I think I got you now and I have to say that solution is really elegant.
> I wouldn't have thought that it could be that simple. V2 of the patch
> is below.

Looks good. One minor thing inline below. Please split this into two
patches, one adding support for the flag and the other using it in the bcm
diver and then send them to the ASoC maintainers.

[...]
> +		hw.formats = GENMASK_ULL((int)SNDRV_PCM_FORMAT_LAST-1, 0);

setting it to 0 is OK. 0 is a special case that means all formats supported.